--called at the start of a game, makes the objects in question
function initHost()
	--can only send it once
	terrain.vars.init("packsent", 0)
	
	--stage.trackShip(stage.warpShip("Carepackage", "null", terrain.centerx, terrain.centery, 0, "", 1000))
	
	terrain.callUpdate = 0--skip calling the update function
	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()
	if terrain.vars.get("packsent") == 0 then
		if ship.behavior == "player" then
			stage.newMessage("Tut tut, now this won't do. Here's a care package.", "stolenrobot")
			--beacon the thing
			stage.trackShip(stage.warpShip("Carepackage", "null", terrain.centerx, terrain.centery, 0, "", 1000))
			terrain.vars.set("packsent", 1)
		end
	end
	
	return 0
end


--called (by the host) when a ship is within 2 tiles from this terrain tile
--function shipNearby()
--	return 0
--end

--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 5	--from map_icons.png, which frame to use.
	icon.color = 6	--yellow
	
	return 0
end